## net.sf.saxon.expr
Class ExpressionLocation

    java.lang.Object
      |
      +--net.sf.saxon.expr.ExpressionLocation

All Implemented Interfaces:
  LocationProvider, org.xml.sax.Locator, SaxonLocator, javax.xml.transform.SourceLocator

public class ExpressionLocation
extends java.lang.Object
implements SaxonLocator

Class to hold details of the location of an expression. Currently only the linenumber is used.

Constructor Summary
`ExpressionLocation()`

Method Summary
`int` `getColumnNumber()`
`int` `getLineNumber()`
`int` `getLineNumber(int locationId)`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getSystemId(int locationId)`
`void` `setColumnNumber(int columnNumber)`
`void` `setLineNumber(int lineNumber)`
`void` `setPublicId(java.lang.String publicId)`
`void` `setSystemId(java.lang.String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionLocation

    public ExpressionLocation()

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### setSystemId

    public void setSystemId(java.lang.String systemId)

### setPublicId

    public void setPublicId(java.lang.String publicId)

### setLineNumber

    public void setLineNumber(int lineNumber)

### setColumnNumber

    public void setColumnNumber(int columnNumber)

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`